Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class RecordTypeImpl

    java.lang.Object
      com.servingxml.util.record.RecordTypeImpl

All Implemented Interfaces:
  RecordType

    public class RecordTypeImpl

extends java.lang.Object
implements RecordType

A `RecordTypeImpl` class implements a RecordType.

Constructor Summary
`RecordTypeImpl(Name recordTypeName)` Creates an empty recordType object.
`RecordTypeImpl(Name recordTypeName, FieldType[] fieldTypes)` Creates a recordType object.

Method Summary
`int` | `count()` Gets the number of recordType
`boolean` | `equals(java.lang.Object o)`
`int` | `fieldCount()` Gets the number of recordType
`int` | `getFieldIndex(Name name)` Gets the corresponding index in a record for a field by name
`FieldType` | `getFieldType(int index)` Gets the field type at the specified index.
`FieldType` | `getFieldTypeAt(int index)` Deprecated. since ServingXML 0.6.2: use `RecordType.getFieldType(int)`
`FieldType[]` | `getFieldTypes()`
`Name` | `getName()` Gets the name of the record type.
`void` | `printDiagnostics(java.io.PrintStream printStream)`
`java.lang.String` | `toString()` Returns a string representation of the recordType, primarily for debugging purposes.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordTypeImpl

    public RecordTypeImpl(Name recordTypeName)

  Creates an empty recordType object.

### RecordTypeImpl

    public RecordTypeImpl(Name recordTypeName,
                          FieldType[] fieldTypes)

  Creates a recordType object.

Method Detail

### getFieldTypes

    public FieldType[] getFieldTypes()

  Specified by:
    `getFieldTypes` in interface `RecordType`

### getName

    public Name getName()

  Description copied from interface: `RecordType`
  Gets the name of the record type.

  Specified by:
    `getName` in interface `RecordType`
  Returns:
    the name of the record type.

### getFieldIndex

    public int getFieldIndex(Name name)

  Description copied from interface: `RecordType`
  Gets the corresponding index in a record for a field by name

  Specified by:
    `getFieldIndex` in interface `RecordType`
  Parameters:
    `name` - the name of the field.
  Returns:
    the index of the field in the record

### getFieldType

    public FieldType getFieldType(int index)

  Description copied from interface: `RecordType`
  Gets the field type at the specified index.

  Specified by:
    `getFieldType` in interface `RecordType`
  Parameters:
    `index` - the index of the field type.
  Returns:
    the type of the specified field.

### getFieldTypeAt

    @Deprecated
    public FieldType getFieldTypeAt(int index)

  Deprecated. since ServingXML 0.6.2: use `RecordType.getFieldType(int)`

  Gets the field type at the specified index.

  Specified by:
    `getFieldTypeAt` in interface `RecordType`
  Parameters:
    `index` - the index of the field type.
  Returns:
    the type of the specified field.

### count

    public int count()

  Gets the number of recordType

  Specified by:
    `count` in interface `RecordType`
  Returns:
    The number of recordType

### fieldCount

    public int fieldCount()

  Gets the number of recordType

  Specified by:
    `fieldCount` in interface `RecordType`
  Returns:
    The number of recordType

### toString

    public java.lang.String toString()

  Returns a string representation of the recordType, primarily for debugging purposes.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the recordType.

### printDiagnostics

    public void printDiagnostics(java.io.PrintStream printStream)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD